Debian Bug report logs - #299669
xterm: select alternative font at startup

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Carlos <angus@quovadis.com.ar>

Date: Tue, 15 Mar 2005 19:33:27 UTC

Severity: wishlist

Found in version 4.3.0.dfsg.1-12.0.1

Fixed in version xterm/225-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#299669; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Carlos <angus@quovadis.com.ar>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carlos <angus@quovadis.com.ar>
To: submit@bugs.debian.org
Subject: xterm: select alternative font at startup
Date: Tue, 15 Mar 2005 20:31:13 +0100
Package: xterm
Version: 4.3.0.dfsg.1-12.0.1
Severity: wishlist

I want to select an alternative font at startup. Now I have to do
Shift-KP_Add twice every time I open an xterm or uxterm. I would want one of
these (or similar):

    xterm -xrm '*vt100*defaultFont: 5'
or  xterm -xrm '*vt100*initialFont: 5'
or  xterm --send-event 'set-vt-font(5)'

to work.

Thanks.



Message sent on to Carlos <angus@quovadis.com.ar>:
Bug#299669. Full text and rfc822 format available.

Message #8 received at 299669-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 299669-submitter@bugs.debian.org
Subject: Re: Bug#299669: xterm: select alternative font at startup
Date: Tue, 15 Mar 2005 15:26:38 -0500
[Message part 1 (text/plain, inline)]
On Tue, Mar 15, 2005 at 08:40:12PM +0100, Carlos wrote:
> Package: xterm
> Version: 4.3.0.dfsg.1-12.0.1
> Severity: wishlist
> 
> I want to select an alternative font at startup. Now I have to do
> Shift-KP_Add twice every time I open an xterm or uxterm. I would want one of
> these (or similar):
> 
>     xterm -xrm '*vt100*defaultFont: 5'
> or  xterm -xrm '*vt100*initialFont: 5'
> or  xterm --send-event 'set-vt-font(5)'

But you can certainly modify your personal resource file to do this.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#299669; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Carlos <angus@quovadis.com.ar>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 299669-quiet@bugs.debian.org (full text, mbox):

From: Carlos <angus@quovadis.com.ar>
To: Thomas Dickey <dickey@radix.net>, 299669-quiet@bugs.debian.org
Subject: Re: Bug#299669: xterm: select alternative font at startup
Date: Tue, 15 Mar 2005 23:20:03 +0100
[Thomas Dickey <dickey@radix.net>, 2005-03-15 21.26 CET]
> On Tue, Mar 15, 2005 at 08:40:12PM +0100, Carlos wrote:
> > Package: xterm
> > Version: 4.3.0.dfsg.1-12.0.1
> > Severity: wishlist
> > 
> > I want to select an alternative font at startup. Now I have to do
> > Shift-KP_Add twice every time I open an xterm or uxterm. I would want one of
> > these (or similar):
> > 
> >     xterm -xrm '*vt100*defaultFont: 5'
> > or  xterm -xrm '*vt100*initialFont: 5'
> > or  xterm --send-event 'set-vt-font(5)'
> 
> But you can certainly modify your personal resource file to do this.

Yes, I can change *vt100*font and *vt100*font2-6. But can't specify, without
changing them, which one to use at startup. (Or do I? I found nothing in the
docs.)

(Note that the resource strings mentioned in my original message, or the
parameter, don't exist.)

There is a feature, the resource string "*tex4014*initialFont", which
(according to the documentation) does what I want, but to some mysterious
'Tektronix window'. I would like to have the same feature in the VT100
window.

Thanks for your attention.




Message sent on to Carlos <angus@quovadis.com.ar>:
Bug#299669. Full text and rfc822 format available.

Message #16 received at 299669-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 299669-submitter@bugs.debian.org
Subject: Re: Bug#299669: xterm: select alternative font at startup
Date: Tue, 15 Mar 2005 18:15:08 -0500
[Message part 1 (text/plain, inline)]
On Tue, Mar 15, 2005 at 11:20:03PM +0100, Carlos wrote:
> [Thomas Dickey <dickey@radix.net>, 2005-03-15 21.26 CET]
> > On Tue, Mar 15, 2005 at 08:40:12PM +0100, Carlos wrote:
> > > Package: xterm
> > > Version: 4.3.0.dfsg.1-12.0.1
> > > Severity: wishlist
> > > 
> > > I want to select an alternative font at startup. Now I have to do
> > > Shift-KP_Add twice every time I open an xterm or uxterm. I would want one of
> > > these (or similar):
> > > 
> > >     xterm -xrm '*vt100*defaultFont: 5'
> > > or  xterm -xrm '*vt100*initialFont: 5'
> > > or  xterm --send-event 'set-vt-font(5)'
> > 
> > But you can certainly modify your personal resource file to do this.
> 
> Yes, I can change *vt100*font and *vt100*font2-6. But can't specify, without
> changing them, which one to use at startup. (Or do I? I found nothing in the
> docs.)
> 
> (Note that the resource strings mentioned in my original message, or the
> parameter, don't exist.)

I understood that, but did not focus on the 'initialFont' part, since
xterm's default font is one of 6 fonts it has available.  On startup,
	xterm -xrm '*VT100.font:9x15'
specifies the default font, which is the initial font.  A little script
starting with
	appres XTerm |fgrep '*VT100*font'
would retrieve the font settings for the various font resources.
 
> There is a feature, the resource string "*tex4014*initialFont", which
> (according to the documentation) does what I want, but to some mysterious
> 'Tektronix window'. I would like to have the same feature in the VT100
> window.

I see now (I suppose something like that could be added for the VT100 widget).
 
> Thanks for your attention.

no problem

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carlos <angus@quovadis.com.ar>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 299669-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 299669-close@bugs.debian.org
Subject: Bug#299669: fixed in xterm 225-1
Date: Sun, 25 Mar 2007 22:17:08 +0000
Source: xterm
Source-Version: 225-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_225-1.diff.gz
  to pool/main/x/xterm/xterm_225-1.diff.gz
xterm_225-1.dsc
  to pool/main/x/xterm/xterm_225-1.dsc
xterm_225-1_i386.deb
  to pool/main/x/xterm/xterm_225-1_i386.deb
xterm_225.orig.tar.gz
  to pool/main/x/xterm/xterm_225.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 299669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 25 Mar 2007 19:18:41 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 225-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 299669 412599
Changes: 
 xterm (225-1) unstable; urgency=low
 .
   * New upstream release.
     + add initialFont resource to xterm widget, like tek-widget
       (closes: #299669).
     + amend change to boldMode from patch #223 for Debian #347790 which made
       xterm no longer match the documented behavior (closes: #412599).
   * Update and complete debian/copyright.
Files: 
 dd21e1f9c7359f7a789d9438e5460113 805 x11 optional xterm_225-1.dsc
 dbd31341a9ccb982647416e8d27b0f00 821717 x11 optional xterm_225.orig.tar.gz
 3970ce69c4c5b67789eff8445d451a03 61255 x11 optional xterm_225-1.diff.gz
 855ee7e6ffd582a40f110429f154d139 449330 x11 optional xterm_225-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGBvHFmEvTgKxfcAwRAgazAJ9m7ZQr7UdMu0Ok1EgHQ4Nx/FGoRwCdGRQz
BpS+YJCQ0MUpnY0/OokdwIU=
=viJN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 08:56:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:43:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.